using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace MegaRobo.C00225155App.MenuViews
{
    /// <summary>
    /// SuckFluidView.xaml 的交互逻辑
    /// </summary>
    public partial class SuckFluidView : Window
    {
        public SuckFluidView()
        {
            InitializeComponent();
            this.Closing += SuckFluidView_Closing;
        }

        private void SuckFluidView_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            // 如果未手动设置过 DialogResult（即用户点击了右上角关闭），默认设为 false
            if (this.DialogResult == null)
            {
                this.DialogResult = false;
            }
        }

        private void BtnOK_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
            this.Close(); // 关闭窗口
        }

        private void BtnCancel_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
            this.Close();
        }
    }
}
